> This page is for version v2026.01.16-dev.
> For other versions, use one of these documentation indexes:
> - latest (default): https://docs.machanirobotics.dev/latest/llms.txt
> - v2026.01.16-dev: https://docs.machanirobotics.dev/v-2026-01-16-dev/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.machanirobotics.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.machanirobotics.dev/_mcp/server.

# Update Session

PATCH https://api.machanirobotics.com/v1/conversation/sessions/sessions/{session}
Content-Type: application/json

UpdateSession modifies an existing session resource.

Use this method to partially update fields in a session by
specifying an update mask.

Request: UpdateSessionRequest
Response: Session

HTTP: PATCH /v1/conversation/sessions/\{name}

Reference: https://docs.machanirobotics.dev/v-2026-01-16-dev/2026-01-16-dev/latest/session-service/updatesession

## Request

### Path parameters

- `session` (string, required) — The session id.

### Query parameters

- `updateMask` (string, optional) — update_mask specifies the fields to update in the Session.

### Body (application/json)

This endpoint expects a Session.

- `profile` (string, required) — The profile associated with the session.
- `displayName` (string, required) — display_name is the title of the session.
- `sessionType` (integer, required) — session_type defines the type of the session, such as Public, Private, or Temporary.
- `owners` (list of string, required) — owners contains the list of owners of the session.
- `defaultChannels` (list of integer, required) — default_channels specifies the default channels for the session.
- `name` (string, optional) — name is the resource identifier for the Session. It follows the format "sessions/\{session}" and uniquely identifies a Session resource.
- `description` (string, optional) — description provides a brief overview of the session.
- `sessionId` (string, optional) — The unique identifier for the session, often sourced from a NATS subject or a dedicated ID.
- `allowedUsers` (list of string, optional) — allowed_users contains the list of users allowed in the session.
- `options` (SessionOptions, optional) — options contains various options for the session.
- `secretKey` (string, optional) — secret_key is the secret key for the session.
- `createTime` (datetime, optional) — Output only. The time at which the session was created.
- `updateTime` (datetime, optional) — Output only. The time at which the session was last updated.

## Response

### 200

OK

- `profile` (string, required) — The profile associated with the session.
- `displayName` (string, required) — display_name is the title of the session.
- `sessionType` (integer, required) — session_type defines the type of the session, such as Public, Private, or Temporary.
- `owners` (list of string, required) — owners contains the list of owners of the session.
- `defaultChannels` (list of integer, required) — default_channels specifies the default channels for the session.
- `name` (string, optional) — name is the resource identifier for the Session. It follows the format "sessions/\{session}" and uniquely identifies a Session resource.
- `description` (string, optional) — description provides a brief overview of the session.
- `sessionId` (string, optional) — The unique identifier for the session, often sourced from a NATS subject or a dedicated ID.
- `allowedUsers` (list of string, optional) — allowed_users contains the list of users allowed in the session.
- `options` (SessionOptions, optional) — options contains various options for the session.
- `secretKey` (string, optional) — secret_key is the secret key for the session.
- `createTime` (datetime, optional) — Output only. The time at which the session was created.
- `updateTime` (datetime, optional) — Output only. The time at which the session was last updated.

## Errors

### 400 Bad Request Error

Bad Request

- `code` (integer, optional) — The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
- `message` (string, optional) — A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
- `details` (list of GoogleProtobufAny, optional) — A list of messages that carry the error details. There is a common set of message types for APIs to use.

## Types

### SessionOptions

SessionOptions defines various options for a session. It includes settings such as maximum users, maximum bytes, and whether acknowledgement is required for messages within the session.

- `maxUsers` (integer, optional) — max_users defines the maximum number of users allowed in the session.
- `maxBytes` (integer, optional) — max_bytes defines the maximum bytes allowed for the session.
- `acknowledgement` (boolean, optional) — acknowledgement indicates whether to require acknowledgement for messages.

### GoogleProtobufAny

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

- `@type` (string, optional) — The type of the serialized message.

## Examples

**Request**

```json
{
  "profile": "robotics_conversation_v2",
  "displayName": "Machani Robotics Team Chat",
  "sessionType": 2,
  "owners": [
    "alice@example.com",
    "bob@example.com"
  ],
  "defaultChannels": [
    10,
    20
  ]
}
```

**Response**

```json
{
  "profile": "robotics_conversation_v2",
  "displayName": "Machani Robotics Team Chat",
  "sessionType": 2,
  "owners": [
    "alice@example.com",
    "bob@example.com"
  ],
  "defaultChannels": [
    10,
    20
  ],
  "name": "sessions/abc123xyz",
  "description": "Session for internal team discussions and project coordination.",
  "sessionId": "session-7890-xyz",
  "allowedUsers": [
    "alice@example.com",
    "bob@example.com",
    "charlie@example.com"
  ],
  "options": {
    "maxUsers": 50,
    "maxBytes": 10485760,
    "acknowledgement": true
  },
  "secretKey": "s3cr3tK3yForSession",
  "createTime": "2024-01-15T09:30:00Z",
  "updateTime": "2024-04-20T14:45:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://api.machanirobotics.com/v1/conversation/sessions/sessions/session"

payload = {
    "profile": "robotics_conversation_v2",
    "displayName": "Machani Robotics Team Chat",
    "sessionType": 2,
    "owners": ["alice@example.com", "bob@example.com"],
    "defaultChannels": [10, 20]
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.machanirobotics.com/v1/conversation/sessions/sessions/session';
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json'},
  body: '{"profile":"robotics_conversation_v2","displayName":"Machani Robotics Team Chat","sessionType":2,"owners":["alice@example.com","bob@example.com"],"defaultChannels":[10,20]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.machanirobotics.com/v1/conversation/sessions/sessions/session"

	payload := strings.NewReader("{\n  \"profile\": \"robotics_conversation_v2\",\n  \"displayName\": \"Machani Robotics Team Chat\",\n  \"sessionType\": 2,\n  \"owners\": [\n    \"alice@example.com\",\n    \"bob@example.com\"\n  ],\n  \"defaultChannels\": [\n    10,\n    20\n  ]\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.machanirobotics.com/v1/conversation/sessions/sessions/session")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"profile\": \"robotics_conversation_v2\",\n  \"displayName\": \"Machani Robotics Team Chat\",\n  \"sessionType\": 2,\n  \"owners\": [\n    \"alice@example.com\",\n    \"bob@example.com\"\n  ],\n  \"defaultChannels\": [\n    10,\n    20\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.machanirobotics.com/v1/conversation/sessions/sessions/session")
  .header("Content-Type", "application/json")
  .body("{\n  \"profile\": \"robotics_conversation_v2\",\n  \"displayName\": \"Machani Robotics Team Chat\",\n  \"sessionType\": 2,\n  \"owners\": [\n    \"alice@example.com\",\n    \"bob@example.com\"\n  ],\n  \"defaultChannels\": [\n    10,\n    20\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.machanirobotics.com/v1/conversation/sessions/sessions/session', [
  'body' => '{
  "profile": "robotics_conversation_v2",
  "displayName": "Machani Robotics Team Chat",
  "sessionType": 2,
  "owners": [
    "alice@example.com",
    "bob@example.com"
  ],
  "defaultChannels": [
    10,
    20
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.machanirobotics.com/v1/conversation/sessions/sessions/session");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"profile\": \"robotics_conversation_v2\",\n  \"displayName\": \"Machani Robotics Team Chat\",\n  \"sessionType\": 2,\n  \"owners\": [\n    \"alice@example.com\",\n    \"bob@example.com\"\n  ],\n  \"defaultChannels\": [\n    10,\n    20\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "profile": "robotics_conversation_v2",
  "displayName": "Machani Robotics Team Chat",
  "sessionType": 2,
  "owners": ["alice@example.com", "bob@example.com"],
  "defaultChannels": [10, 20]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.machanirobotics.com/v1/conversation/sessions/sessions/session")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```